Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.sourcelookup
Interface ISourceContainerTypeDelegate

All Known Subinterfaces:
  ISourceContainerType

All Known Implementing Classes:
  AbstractSourceContainerTypeDelegate

public interface ISourceContainerTypeDelegate

A source container type delegate represents a kind of container of source code. For example, a source container type may be a project or a directory. A specific project or directory is represented by an instance of a source container type, which is called a source container (`ISourceContainer`).

A source container type delegate is contributed via the `sourceContainerTypes` extension point.

Clients may implement this interface.

Since:
  3.0
See Also:
  `ISourceContainer`, `ISourceContainerType`

Method Summary
`ISourceContainer` | `createSourceContainer(String memento)` Creates and returns a new source container of this type corresponding to the given memento.
`String` | `getMemento(ISourceContainer container)` Constructs and returns a memento for the given source container.

Method Detail

### createSourceContainer

    public ISourceContainer createSourceContainer(String memento)
                                           throws CoreException

  Creates and returns a new source container of this type corresponding to the given memento.

  Parameters:
    `memento` - a memento for a source conatiner of this source container type
  Returns:
    a source container corresponding to the given memento
  Throws:
    `CoreException` - if unable to construct a source container based on the given memento

### getMemento

    public String getMemento(ISourceContainer container)
                      throws CoreException

  Constructs and returns a memento for the given source container. A memento can be used to reconstruct a source container.

  Parameters:
    `container` - The container for which a memento should be created. The container must of this source container type.
  Returns:
    a memento for the source container
  Throws:
    `CoreException` - if unable to create a memento

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.